VSTGUI: DelegateAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
DelegateAdapter Class Reference
Standalone Library

Application delegate adapter More...

`#include <appdelegate.h>`

Inheritance diagram for DelegateAdapter:

## Public Member Functions
| DelegateAdapter (Info &&info)
void | finishLaunching () override
| Called when the application has finished launching. More...
void | onQuit () override
| Called when the application is terminating. More...
bool | canQuit () override
| Called to check if it is currently possible to quit. More...
void | showAboutDialog () override
| The delegate should show the about dialog. More...
bool | hasAboutDialog () override
| Is there an about dialog ? More...
void | showPreferenceDialog () override
| The delegate should show the preference dialog. More...
bool | hasPreferenceDialog () override
| Is there a preference dialog ? More...
const Info & | getInfo () const override
| Get the application info. More...
UTF8StringPtr | getSharedUIResourceFilename () const override
| Get the filename of the shared UI resources. More...
bool | openFiles (const std::vector< UTF8String > &paths) override
| Called when the system wants the app to open files. More...
virtual void | finishLaunching ()=0
| Called when the application has finished launching. More...
virtual void | onQuit ()=0
| Called when the application is terminating. More...
virtual bool | canQuit ()=0
| Called to check if it is currently possible to quit. More...
virtual void | showAboutDialog ()=0
| The delegate should show the about dialog. More...
virtual bool | hasAboutDialog ()=0
| Is there an about dialog ? More...
virtual void | showPreferenceDialog ()=0
| The delegate should show the preference dialog. More...
virtual bool | hasPreferenceDialog ()=0
| Is there a preference dialog ? More...
virtual const Info & | getInfo () const =0
| Get the application info. More...
virtual UTF8StringPtr | getSharedUIResourceFilename () const =0
| Get the filename of the shared UI resources. More...
virtual bool | openFiles (const std::vector< UTF8String > &paths)=0
| Called when the system wants the app to open files. More...
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Detailed Description

Application delegate adapter

## Constructor & Destructor Documentation

## ◆ DelegateAdapter()

DelegateAdapter | ( | Info && | info | ) |
| inline

## Member Function Documentation

## ◆ canQuit()

bool canQuit | ( |  | ) |
| inlineoverridevirtual

Called to check if it is currently possible to quit.

Implements IDelegate.

## ◆ finishLaunching()

void finishLaunching | ( |  | ) |
| inlineoverridevirtual

Called when the application has finished launching.

Implements IDelegate.

## ◆ getInfo()

const Info & getInfo | ( |  | ) | const
| inlineoverridevirtual

Get the application info.

Implements IDelegate.

## ◆ getSharedUIResourceFilename()

UTF8StringPtr getSharedUIResourceFilename | ( |  | ) | const
| inlineoverridevirtual

Get the filename of the shared UI resources.

If this returns a name than all the UI resources are shared between different uidesc files. If this returns a nullptr, every uidesc file has its own resources.

Implements IDelegate.

## ◆ hasAboutDialog()

bool hasAboutDialog | ( |  | ) |
| inlineoverridevirtual

Is there an about dialog ?

Implements IDelegate.

## ◆ hasPreferenceDialog()

bool hasPreferenceDialog | ( |  | ) |
| inlineoverridevirtual

Is there a preference dialog ?

Implements IDelegate.

## ◆ onQuit()

void onQuit | ( |  | ) |
| inlineoverridevirtual

Called when the application is terminating.

Implements IDelegate.

## ◆ openFiles()

bool openFiles | ( | const std::vector< UTF8String > & | paths | ) |
| inlineoverridevirtual

Called when the system wants the app to open files.

Parameters

  paths | UTF-8 encoded paths to the files

Returns
  true on success

Implements IDelegate.

## ◆ showAboutDialog()

void showAboutDialog | ( |  | ) |
| inlineoverridevirtual

The delegate should show the about dialog.

Implements IDelegate.

## ◆ showPreferenceDialog()

void showPreferenceDialog | ( |  | ) |
| inlineoverridevirtual

The delegate should show the preference dialog.

Implements IDelegate.

The documentation for this class was generated from the following file:

- appdelegate.h